## code analysis-0.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = code_analysis
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## code 1.60.1

=== debian/changelog ===
code (1.60.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Tue, 14 Sep 2021 21:21:30 +0200

=== debian/control ===
Source: code
Section: devel
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/code
#Vcs-Git: https://salsa.debian.org/debian/code.git
Rules-Requires-Root: no

Package: code
Architecture: all
Depends: ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## code check-0.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = code_analysis
+SPHINXPROJ    = code_check
 SOURCEDIR     = .
 BUILDDIR      = _build

## code data-0.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --allow-unsafe --annotation-style=line --extra=test,docs,dev,rich pyproject.toml
#
alabaster==0.7.12         # via sphinx
anyio==3.6.1              # via jupyter-server
argon2-cffi==21.3.0       # via jupyter-server, notebook
argon2-cffi-bindings==21.2.0  # via argon2-cffi
attrs==21.4.0             # via hypothesis, jsonschema, jupyter-cache, markdown-it-py, pytest, sphinx-external-toc
babel==2.10.3             # via sphinx
backcall==0.2.0           # via ipython
beautifulsoup4==4.11.1    # via nbconvert, pydata-sphinx-theme
black==22.6.0             # via code_data (pyproject.toml)
bleach==5.0.1             # via nbconvert
certifi==2022.6.15        # via requests
cffi==1.15.1              # via argon2-cffi-bindings
cfgv==3.3.1               # via pre-commit
charset-normalizer==2.1.0  # via requests
click==8.1.3              # via black, jupyter-book, sphinx-external-toc
colorama==0.4.5           # via nbdime
commonmark==0.9.1         # via rich
debugpy==1.6.0            # via ipykernel
decorator==5.1.1          # via ipython
defusedxml==0.7.1         # via nbconvert
distlib==0.3.4            # via virtualenv
docutils==0.17.1          # via jupyter-book, myst-nb, myst-parser, pybtex-docutils, pydata-sphinx-theme, sphinx, sphinx-togglebutton, sphinxcontrib-bibtex
entrypoints==0.4          # via jupyter-client, nbconvert
exceptiongroup==1.0.0rc8  # via hypothesis
execnet==1.9.0            # via pytest-xdist
fastjsonschema==2.15.3    # via code_data (pyproject.toml), nbformat
filelock==3.7.1           # via virtualenv
flake8==4.0.1             # via code_data (pyproject.toml)
gitdb==4.0.9              # via gitpython
gitpython==3.1.27         # via nbdime
greenlet==1.1.2           # via sqlalchemy
hypothesis==6.48.2        # via hypothesmith
hypothesmith==0.2.0       # via code_data (pyproject.toml)
identify==2.5.1           # via pre-commit
idna==3.3                 # via anyio, requests
imagesize==1.4.1          # via sphinx
importlib-metadata==4.2.0  # via myst-nb
iniconfig==1.1.1          # via pytest
ipykernel==6.15.0         # via ipywidgets, notebook
ipython==7.34.0           # via ipykernel, ipywidgets, jupyter-sphinx, myst-nb
ipython-genutils==0.2.0   # via ipywidgets, notebook
ipywidgets==7.7.1         # via jupyter-sphinx, myst-nb
isort==5.10.1             # via code_data (pyproject.toml)
jedi==0.18.1              # via ipython
jinja2==3.1.2             # via jupyter-book, jupyter-server, myst-parser, nbconvert, nbdime, notebook, sphinx
jsonschema==3.2.0         # via jupyter-book, nbformat
jupyter-book==0.13.0      # via code_data (pyproject.toml)
jupyter-cache==0.4.3      # via myst-nb
jupyter-client==7.3.4     # via ipykernel, jupyter-server, nbclient, notebook
jupyter-core==4.10.0      # via jupyter-client, jupyter-server, nbconvert, nbformat, notebook
jupyter-server==1.18.0    # via jupyter-server-mathjax, nbdime
jupyter-server-mathjax==0.2.5  # via nbdime
jupyter-sphinx==0.3.2     # via myst-nb
jupyterlab-pygments==0.2.2  # via nbconvert
jupyterlab-widgets==1.1.1  # via ipywidgets
lark-parser==0.12.0       # via hypothesmith
latexcodec==2.0.1         # via pybtex
libcst==0.4.5             # via hypothesmith
linkify-it-py==1.0.3      # via jupyter-book
markdown-it-py==1.1.0     # via mdit-py-plugins, myst-parser
markupsafe==2.1.1         # via jinja2, nbconvert
matplotlib-inline==0.1.3  # via ipykernel, ipython
mccabe==0.6.1             # via flake8
mdit-py-plugins==0.2.8    # via myst-parser
mistune==0.8.4            # via nbconvert
mypy==0.961               # via code_data (pyproject.toml)
mypy-extensions==0.4.3    # via black, mypy, typing-inspect
myst-nb==0.13.2           # via jupyter-book
myst-parser==0.15.2       # via myst-nb
nbclient==0.5.13          # via jupyter-cache, nbconvert
nbconvert==6.5.0          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
nbdime==3.1.1             # via jupyter-cache
nbformat==5.4.0           # via jupyter-cache, jupyter-server, jupyter-sphinx, myst-nb, nbclient, nbconvert, nbdime, notebook
nest-asyncio==1.5.5       # via ipykernel, jupyter-client, nbclient, notebook
nodeenv==1.7.0            # via pre-commit
notebook==6.4.12          # via widgetsnbextension
orjson==3.7.8             # via code_data (pyproject.toml)
packaging==21.3           # via ipykernel, jupyter-server, nbconvert, pydata-sphinx-theme, pytest, sphinx
pandocfilters==1.5.0      # via nbconvert
parso==0.8.3              # via jedi
pathspec==0.9.0           # via black
pexpect==4.8.0            # via ipython
pickleshare==0.7.5        # via ipython
platformdirs==2.5.2       # via black, virtualenv
pluggy==1.0.0             # via pytest
pre-commit==2.19.0        # via code_data (pyproject.toml)
prometheus-client==0.14.1  # via jupyter-server, notebook
prompt-toolkit==3.0.30    # via ipython
psutil==5.9.1             # via ipykernel, pytest-xdist
ptyprocess==0.7.0         # via pexpect, terminado
py==1.11.0                # via pytest, pytest-forked
pybtex==0.24.0            # via pybtex-docutils, sphinxcontrib-bibtex
pybtex-docutils==1.0.2    # via sphinxcontrib-bibtex
pycodestyle==2.8.0        # via flake8
pycparser==2.21           # via cffi
pydata-sphinx-theme==0.8.1  # via sphinx-book-theme
pyflakes==2.4.0           # via flake8
pygments==2.12.0          # via ipython, nbconvert, nbdime, rich, sphinx
pyparsing==3.0.9          # via packaging
pyrsistent==0.18.1        # via jsonschema
pytest==7.1.2             # via code_data (pyproject.toml), pytest-forked, pytest-xdist
pytest-forked==1.4.0      # via pytest-xdist
pytest-xdist[psutil]==2.5.0  # via code_data (pyproject.toml)
python-dateutil==2.8.2    # via jupyter-client
pytz==2022.1              # via babel
pyyaml==6.0               # via jupyter-book, libcst, myst-nb, myst-parser, pre-commit, pybtex, sphinx-book-theme, sphinx-external-toc
pyzmq==23.2.0             # via ipykernel, jupyter-client, jupyter-server, notebook
requests==2.28.1          # via nbdime, sphinx
rich==12.4.4              # via code_data (pyproject.toml)
send2trash==1.8.0         # via jupyter-server, notebook
six==1.16.0               # via bleach, jsonschema, latexcodec, pybtex, python-dateutil, virtualenv
smmap==5.0.0              # via gitdb
sniffio==1.2.0            # via anyio
snowballstemmer==2.2.0    # via sphinx
sortedcontainers==2.4.0   # via hypothesis
soupsieve==2.3.2.post1    # via beautifulsoup4
sphinx==4.5.0             # via jupyter-book, jupyter-sphinx, myst-nb, myst-parser, pydata-sphinx-theme, sphinx-book-theme, sphinx-comments, sphinx-copybutton, sphinx-design, sphinx-external-toc, sphinx-jupyterbook-latex, sphinx-multitoc-numbering, sphinx-thebe, sphinx-togglebutton, sphinxcontrib-bibtex
sphinx-book-theme==0.3.2  # via jupyter-book
sphinx-comments==0.0.3    # via jupyter-book
sphinx-copybutton==0.5.0  # via jupyter-book
sphinx-design==0.1.0      # via jupyter-book
sphinx-external-toc==0.2.4  # via jupyter-book
sphinx-jupyterbook-latex==0.4.6  # via jupyter-book
sphinx-multitoc-numbering==0.1.3  # via jupyter-book
sphinx-thebe==0.1.2       # via jupyter-book
sphinx-togglebutton==0.3.1  # via jupyter-book, myst-nb
sphinxcontrib-applehelp==1.0.2  # via sphinx
sphinxcontrib-bibtex==2.4.2  # via jupyter-book
sphinxcontrib-devhelp==1.0.2  # via sphinx
sphinxcontrib-htmlhelp==2.0.0  # via sphinx
sphinxcontrib-jsmath==1.0.1  # via sphinx
sphinxcontrib-qthelp==1.0.3  # via sphinx
sphinxcontrib-serializinghtml==1.1.5  # via sphinx
sqlalchemy==1.4.39        # via jupyter-cache
terminado==0.15.0         # via jupyter-server, notebook
tinycss2==1.1.1           # via nbconvert
toml==0.10.2              # via pre-commit
tomli==2.0.1              # via black, mypy, pytest
tornado==6.1              # via ipykernel, jupyter-client, jupyter-server, nbdime, notebook, terminado
traitlets==5.3.0          # via ipykernel, ipython, ipywidgets, jupyter-client, jupyter-core, jupyter-server, matplotlib-inline, nbclient, nbconvert, nbformat, notebook
typing-extensions==4.3.0  # via libcst, mypy, typing-inspect
typing-inspect==0.7.1     # via libcst
uc-micro-py==1.0.1        # via linkify-it-py
urllib3==1.26.9           # via requests
virtualenv==20.15.1       # via pre-commit
wcwidth==0.2.5            # via prompt-toolkit
webencodings==0.5.1       # via bleach, tinycss2
websocket-client==1.3.3   # via jupyter-server
wheel==0.37.1             # via sphinx-togglebutton
widgetsnbextension==3.6.1  # via ipywidgets
zipp==3.8.0               # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
setuptools==62.6.0        # via ipython, jsonschema, nodeenv, sphinx-togglebutton

=== binder/requirements.txt ===
-e .[rich]

## code data-0.2.0

=== requirements.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 latexcodec==2.0.1         # via pybtex
 libcst==0.4.5             # via hypothesmith
 linkify-it-py==1.0.3      # via jupyter-book
+lxml==4.9.1               # via nbconvert
 markdown-it-py==1.1.0     # via mdit-py-plugins, myst-parser
 markupsafe==2.1.1         # via jinja2, nbconvert
 matplotlib-inline==0.1.3  # via ipykernel, ipython
@@ -74,7 +75,7 @@
 myst-nb==0.13.2           # via jupyter-book
 myst-parser==0.15.2       # via myst-nb
 nbclient==0.5.13          # via jupyter-cache, nbconvert
-nbconvert==6.5.0          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
+nbconvert==6.5.1          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
 nbdime==3.1.1             # via jupyter-cache
 nbformat==5.4.0           # via jupyter-cache, jupyter-server, jupyter-sphinx, myst-nb, nbclient, nbconvert, nbdime, notebook
 nest-asyncio==1.5.5       # via ipykernel, jupyter-client, nbclient, notebook
@@ -144,7 +145,7 @@
 tomli==2.0.1              # via black, mypy, pytest
 tornado==6.1              # via ipykernel, jupyter-client, jupyter-server, nbdime, notebook, terminado
 traitlets==5.3.0          # via ipykernel, ipython, ipywidgets, jupyter-client, jupyter-core, jupyter-server, matplotlib-inline, nbclient, nbconvert, nbformat, notebook
-typing-extensions==4.3.0  # via libcst, mypy, typing-inspect
+typing-extensions==4.3.0  # via code_data (pyproject.toml), libcst, mypy, typing-inspect
 typing-inspect==0.7.1     # via libcst
 uc-micro-py==1.0.1        # via linkify-it-py
 urllib3==1.26.9           # via requests

## code discovery-0.1.4

=== requirements.txt ===
# Core dependencies
pyyaml>=6.0.1
requests>=2.31.0
python-dotenv>=1.0.0

# Code parsing and AST analysis
astroid>=3.0.0
javalang>=0.13.0
tree-sitter>=0.20.4
tree-sitter-python>=0.20.4
tree-sitter-java>=0.20.2

# OpenAPI generation
pydantic>=2.5.0
jsonschema>=4.20.0

# FastAPI/Flask detection (for type hints)
typing-extensions>=4.9.0

# VCS integrations
PyGithub>=2.1.1
python-gitlab>=4.4.0

# Testing (dev)
pytest>=7.4.3
pytest-cov>=4.1.0
pytest-mock>=3.12.0

# Code quality (dev)
black>=23.12.0
flake8>=6.1.0
mypy>=1.7.1
isort>=5.13.2

## code gen

=== code_gen/obj/Makefile ===
# Makefile for release 1.0 of the omega system
# DON'T EDIT -- put any locally required changes in Makefile.config.
# See INSTALL for more details.


LIB=code_gen
LIB_NAME=lib$(LIB).a
TARGET=$(LIB_NAME)

all: $(TARGET)
$(TARGET): .library
install: install_library install_includes
depend: depend_library
clean: clean_self
veryclean: veryclean_self

# Required libraries
REQUIRED=omega

OBJS=CG_stringBuilder.o spmd.o CG_stringRepr.o code_gen.o stmt_builder.o elim.o
SRCS=../src/CG_stringBuilder.c ../src/spmd.c ../src/CG_stringRepr.c ../src/code_gen.c ../src/stmt_builder.c ../src/elim.c

BASEDIR=../..
include $(BASEDIR)/Makefile.rules

## code saturne-9.0.1

=== build-aux/catalyst/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
PROJECT(CoProcessingTest CXX C)

if (CMAKE_VERSION VERSION_GREATER_EQUAL "4.0")
  # include(CMakeDependentOption)
  find_package(ParaView REQUIRED)
else ()
  # Avoid failures with CMake 2.23 and above
  # We need to find a better long term solution.
  cmake_policy(SET CMP0028 OLD)
  # include(CMakeDependentOption)
  find_package(MPI COMPONENTS C CXX)
  find_package(ParaView CONFIG COMPONENTS Catalyst PythonCatalyst)
endif()

if (NOT TARGET ParaView::PythonCatalyst)
  message(STATUS
    "${CMAKE_PROJECT_NAME} requires ParaView to be built with Catalyst and "
    "Python support enabled. Please rebuild ParaView (or point to a "
    "different build of ParaView) with PARAVIEW_USE_PYTHON set "
    "to TRUE")
  return ()
endif()

if (NOT PARAVIEW_USE_MPI)
  message(STATUS
    "${CMAKE_PROJECT_NAME} requires ParaView to be built with MPI support "
    "enabled. Please rebuild ParaView (or point to a different build of "
    "ParaView) with PARAVIEW_USE_MPI set to TRUE")
  return ()
endif ()

# The entries after ParallelMPI are needed for the vtk histograms writer

add_executable(CoProcessingTest CoProcessingTest.cxx)
target_link_libraries(CoProcessingTest
  PRIVATE
    ParaView::PythonCatalyst
    VTK::CommonDataModel
    VTK::ParallelMPI
    VTK::IOImage
    VTK::ViewsContext2D
    VTK::RenderingContext2D
    VTK::ChartsCore
    VTK::png)

=== extras/FMI/Makefile ===
PROJECT_NAME   = FMU_CS
BUILD_DIR      = "binaries/linux64"
CXX            = g++
CXXFLAGS       = -m64 -pipe -std=c++11 -g -fPIC -Wall -W
LINK           = g++
LFLAGS         = -m64 -shared
INCPATH        = -I gen -I fmi -I.
MKDIR          = mkdir -p
ZIP            = zip
CHK_DIR_EXISTS = test -d

TARGET         = $(PROJECT_NAME).so

all: fmu

build:
	$(CHK_DIR_EXISTS) $(BUILD_DIR) || $(MKDIR) $(BUILD_DIR)
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $(BUILD_DIR)/$(PROJECT_NAME).o src/code_saturne.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $(BUILD_DIR)/callbacks.o src/callbacks.cpp
	$(LINK) $(LFLAGS) -o $(BUILD_DIR)/$(TARGET) $(BUILD_DIR)/$(PROJECT_NAME).o $(BUILD_DIR)/callbacks.o
	rm -f $(BUILD_DIR)/*.o
	if ! test -h $(BUILD_DIR)/lib$(TARGET) ; then \
	  \ln -s -r $(BUILD_DIR)/$(TARGET) $(BUILD_DIR)/lib$(TARGET) ; \
	fi

fmu: build
	$(ZIP) -r FMU_CS.fmu modelDescription.xml binaries

clean:
	rm -f $(BUILD_DIR)/*.o

distclean:

	rm -rf binaries

## code v04

=== Makefile ===
alpha:
	clear
	-make clean
	make   objects2    'CC=gcc'  'CFLAGS=-g   -DONALPHA'
	make   link2       'CC=gcc'  'LFLAGS=-g -lm -DONALPHA'



sun     :
	clear
	-make clean
	make   objects1    'CC=gcc'  'CFLAGS=-g   -DONSUN'
	make   link1       'CC=gcc'  'LFLAGS=-g -lm -DONSUN '

sunpg   :
	clear
	-make clean
	make   objects1    'CC=gcc'  'CFLAGS=-g -pg   -DONSUN'
	make   link1       'CC=gcc'  'LFLAGS=-g -pg -lm -DONSUN '

suno    :
	clear
	-make clean
	make   objects1    'CC=gcc'  'CFLAGS=-O3     -DONSUN'
	make   link1       'CC=gcc'  'LFLAGS=-O3 -lm -DONSUN '

pc      :
	clear
	gmake   objects1    'CC=megcs'  'CFLAGS=-g3 -O0 -Iahead  -Wunused -Wall -DONPC' 
	gmake   link1       'CC=megcs'  'LFLAGS=-g2 -O0 -Iahead -lm  -DONPC' 

sun2     :
	clear
	-make clean
	make   objects2    'CC=gcc'  'CFLAGS=-g   -DONSUN'
	make   link2       'CC=gcc'  'LFLAGS=-g -lm -DONSUN '

sunpg2   :
	clear
	-make clean
	make   objects2    'CC=gcc'  'CFLAGS=-g -pg   -DONSUN'
	make   link2       'CC=gcc'  'LFLAGS=-g -pg -lm -DONSUN '

suno2    :
	clear
	-make clean
	make   objects2    'CC=gcc'  'CFLAGS=-O3     -DONSUN'
	make   link2       'CC=gcc'  'LFLAGS=-O3 -lm -DONSUN '

pc2      :
	clear
	gmake   objects2    'CC=megcs'  'CFLAGS=-g3 -O0 -Iahead  -Wunused -Wall -DONPC' 
	gmake   link2       'CC=megcs'  'LFLAGS=-g2 -O0 -Iahead -lm   -DONPC' 

pc2o    :
	clear
	gmake   objects2    'CC=megcs'  'CFLAGS= -O5 -Iahead  -Wunused -Wall -DONPC' 
	gmake   link2       'CC=megcs'  'LFLAGS= -O5 -Iahead -lm   -DONPC' 

pc2mem      :
	clear
	gmake   objects2    'CC=megcs'  'CFLAGS=-g3 -O0 -Iahead  -Wunused -Wall -DONPC' 
	gmake   linkmem       'CC=megcs'  'LFLAGS=-g2 -O0 -Iahead -lm   -DONPC' 

CSRC1   = main.c  mc.c  initialize.c island.c initrand.c
CSRC2   = main2.c mc2.c initialize.c island.c mc.c initrand.c
COBJ1   =$(CSRC1:%.c=%.o)
COBJ2   =$(CSRC2:%.c=%.o)

sources1 : $(CSRC1) 
objects1 : $(COBJ1) 

sources2 : $(CSRC2) 
objects2 : $(COBJ2) 

$(COBJ1) : project.h
$(COBJ2) : project.h

link1    :
	$(CC) -L.$(LFLAGS) $(COBJ1)  -o  prog

link2    :
	$(CC) -L.$(LFLAGS) $(COBJ2)  -o  prog2

linkmem    :
	$(CC) -L.$(LFLAGS) $(COBJ2)  libefence.a -o  prog2

%.o : %.c
	$(CC) $(CFLAGS) -c $< -o $@

%.o : %.h
	$(CC) $(CFLAGS) -c $< -o $@
clean : 
	-rm prog
	-rm prog2
	-rm *.o
	-rm *.prc
	-rm *.out

## code v4

=== requirements.txt ===
numpy==2.3.2
matplotlib==3.10.5
pygame==2.6.1
